Status: Closed

Priority: High

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17991

Description

Here's a strange one... Using Ubuntu, it's impossible to select the "Regular" variant of the "Ubuntu" font in label properties.  I can select

Regular variants for other fonts (eg Arial), and other variants of the "Ubuntu" font, but everytime I select regular for ubuntu it just changes

the dropdown box back to the previous setting.

Associated revisions

Revision 90aa18a5 - 2014-02-22 07:46 AM - Larry Shaffer

Fix #9393, impossible to select 'regular' font style for labels

- While ostensibly fixes the issue, there is still a flaw with QFontDatabase.styleString() returning generic style names

History

#1 - 2014-01-21 03:25 AM - Mathieu Pellerin - nIRV

I confirm problem on my system too.

#2 - 2014-01-21 04:19 AM - Borys Jurgiel

Is it the default font in Ubuntu? If so I'd set the bug priority to High.

Btw. The same problem with DejaVu Sans on Debian. No way to select the regular variant (called Book here). Other DejaVu fonts work ok.

#3 - 2014-01-21 01:00 PM - Nyall Dawson

- Priority changed from Normal to High

Borys Jurgiel wrote:

Is it the default font in Ubuntu? If so I'd set the bug priority to High.

Yes - it's the default label font under Ubuntu. This isn't a regression, it happens with 2.0 as well.

#4 - 2014-01-24 05:33 PM - Larry Shaffer
- Assignee set to Larry Shaffer

- Target version set to Future Release - High Priority

- Status changed from Open to In Progress

Confirmed here on Mac, too. That is fixed, but I found a related issue with font 'named styles' and am working on a solution for it (for Qt < 4.8) before

committing the fix. Still have to test on Windows, too.

https://github.com/dakcarto/QGIS/commits/fontutils-fix

#5 - 2014-02-12 08:50 AM - Jürgen Fischer

- Subject changed from Linux - impossible to select "regular" font style for labels to impossible to select "regular" font style for labels

#6 - 2014-02-21 10:47 PM - Larry Shaffer

- Status changed from In Progress to Closed

Fixed in changeset commit:"90aa18a5c674cf816ddae1488d9d4c8d67b87ff8".

#7 - 2014-02-21 10:48 PM - Larry Shaffer

While ostensibly fixes the issue, there is still a flaw with QFontDatabase.styleString() returning generic style names.

Reopen issue if needed.
